    001/* ========================================================================
    002 * JCommon : a free general purpose class library for the Java(tm) platform
    003 * ========================================================================
    004 *
    005 * (C) Copyright 2000-2005, by Object Refinery Limited and Contributors.
    006 *
    007 * Project Info:  http://www.jfree.org/jcommon/index.html
    008 *
    009 * This library is free software; you can redistribute it and/or modify it
    010 * under the terms of the GNU Lesser General Public License as published by
    011 * the Free Software Foundation; either version 2.1 of the License, or
    012 * (at your option) any later version.
    013 *
    014 * This library is distributed in the hope that it will be useful, but
    015 * WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY
    016 * or FITNESS FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public
    017 * License for more details.
    018 *
    019 * You should have received a copy of the GNU Lesser General Public
    020 * License along with this library; if not, write to the Free Software
    021 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301,
    022 * USA.
    023 *
    024 * [Java is a trademark or registered trademark of Sun Microsystems, Inc.
    025 * in the United States and other countries.]
    026 *
    027 * ---------------------
    028 * AttributeHandler.java
    029 * ---------------------
    030 * (C)opyright 2003, 2004, by Thomas Morgner and Contributors.
    031 *
    032 * Original Author:  Thomas Morgner;
    033 * Contributor(s):   David Gilbert (for Object Refinery Limited);
    034 *
    035 * $Id: AttributeHandler.java,v 1.2 2005/10/18 13:30:16 mungady Exp $
    036 *
    037 * Changes
    038 * -------
    039 * 23.09.2003 : Initial version
    040 *
    041 */
    042
    043package org.jfree.xml.attributehandlers;
    044
    045/**
    046 * An attribute handler is an object that can transform an object into a string or vice
    047 * versa.
    048 */
    049public interface AttributeHandler {
    050
    051    /**
    052     * Converts an object to an attribute value.
    053     *
    054     * @param o  the object.
    055     *
    056     * @return the attribute value.
    057     */
    058    public String toAttributeValue (Object o);
    059
    060    /**
    061     * Converts a string to a property value.
    062     *
    063     * @param s  the string.
    064     *
    065     * @return a property value.
    066     */
    067    public Object toPropertyValue (String s);
    068
    069}